KParts::BrowserInterface Class Reference

`#include <browserinterface.h>`

Inherits QObject.

## Public Member Functions

| BrowserInterface (QObject *parent, const char *name=0)
void | callMethod (const char *name, const QVariant &argument)

## Detailed Description

The purpose of this interface is to allow a direct communication between a KPart and the hosting browser shell (for example Konqueror) .

A shell implementing this interface can propagate it to embedded kpart components by using the setBrowserInterface call of the part's KParts::BrowserExtension object.

This interface looks not very rich, but the main functionality is implemented using the callMethod method for part->shell communication and using Qt properties for allowing a part to to explicitly query information from the shell.

Konqueror in particular, as 'reference' implementation, provides the following functionality through this interface:

Qt properties: `Q_PROPERTY( uint historyLength READ historyLength );`

Callable methods: `void goHistory( int );`

Definition at line 38 of file browserinterface.h.

## Member Function Documentation

void BrowserInterface::callMethod | ( | const char * | name,
|  | const QVariant & | argument
| ) |  |

Perform a dynamic invocation of a method in the BrowserInterface implementation.

Methods are to be implemented as simple Qt slots.

Definition at line 20 of file browserinterface.cpp.

The documentation for this class was generated from the following files:

- browserinterface.h
- browserinterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys